Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface IChannelRenderer

All Known Implementing Classes:
  ChannelRenderer

    public interface IChannelRenderer

The `IChannelRenderer` defines channel rendering interface. The process of channel rendering can be implemented in different ways including in serial form, in parallel form, or a mixture of the two. This interface allows different implementation to use different implementation policies.

The channel renderer interaction model is as follows, in order of invocation:

- first `startRendering`
- then `completeRendering`
- and optionally `outputRendering`

Version:
  $Revision: 1.4 $
Author:
  Jan Nielsen

Field Summary
`static java.lang.String` | `RCS_ID` Class version identifier.
`static int` | `RENDERING_FAILED` Channel rendering failed.
`static int` | `RENDERING_SUCCESSFUL` Channel rendering was successful.
`static int` | `RENDERING_TIMED_OUT` Channel rendering timed-out.

Method Summary
`void` | `cancelRendering()` Cancels the rendering job.
`int` | `completeRendering()` Complete the channel rendering.
`SAX2BufferImpl` | `getBuffer()` Returns the channel rendering buffer.
`java.lang.String` | `getCharacters()` Returns the channel rendering character set.
`int` | `outputRendering(org.xml.sax.ContentHandler out)` Places the channel rendering output in the specified content handler.
`void` | `setCacheTables(java.util.Map cacheTables)` Sets the cache tables for the channel renderer.
`void` | `setCharacterCache(java.lang.String chars)` Sets the character cache for the channel renderer.
`void` | `setCharacterCacheable(boolean setting)` Enables or disables character caching for the channel renderer.
`void` | `setTimeout(long value)` Sets the timeout value for the channel renderer.
`void` | `startRendering()` Starts the channel rendering process.
`void` | `startRendering(SetCheckInSemaphore groupSemaphore, java.lang.Object groupRenderingKey)` Starts the channel rendering process.

Field Detail

### RCS_ID

    static final java.lang.String RCS_ID

  Class version identifier.

  See Also:
    Constant Field Values

### RENDERING_SUCCESSFUL

    static final int RENDERING_SUCCESSFUL

  Channel rendering was successful.

  See Also:
    Constant Field Values

### RENDERING_FAILED

    static final int RENDERING_FAILED

  Channel rendering failed.

  See Also:
    Constant Field Values

### RENDERING_TIMED_OUT

    static final int RENDERING_TIMED_OUT

  Channel rendering timed-out.

  See Also:
    Constant Field Values

Method Detail

### startRendering

    void startRendering()

  Starts the channel rendering process.

### startRendering

    void startRendering(SetCheckInSemaphore groupSemaphore,
                        java.lang.Object groupRenderingKey)

  Starts the channel rendering process.

  Parameters:
    `groupSemaphore` - semaphore to use for a group of channels
    `groupRenderingKey` - group rendering key

### completeRendering

    int completeRendering()
                          throws java.lang.Throwable

  Complete the channel rendering.

  Returns:
    status code of the channel rendering process
  Throws:
    `java.lang.Throwable`

### cancelRendering

    void cancelRendering()

  Cancels the rendering job.

### getCharacters

    java.lang.String getCharacters()

  Returns the channel rendering character set.

  Returns:
    string representation of the channel rendering characters

### getBuffer

    SAX2BufferImpl getBuffer()

  Returns the channel rendering buffer.

  Returns:
    channel rendering buffer

### setCharacterCache

    void setCharacterCache(java.lang.String chars)

  Sets the character cache for the channel renderer.

  Parameters:
    `chars` - character cache for the channel renderer

### setCharacterCacheable

    void setCharacterCacheable(boolean setting)

  Enables or disables character caching for the channel renderer.

  Parameters:
    `setting` - character caching setting

### setCacheTables

    void setCacheTables(java.util.Map cacheTables)

  Sets the cache tables for the channel renderer.

  Parameters:
    `cacheTables` - cache table for the channel renderer

### setTimeout

    void setTimeout(long value)

  Sets the timeout value for the channel renderer.

  Parameters:
    `value` - milliseconds of timeout for the channel renderer

### outputRendering

    int outputRendering(org.xml.sax.ContentHandler out)
                        throws java.lang.Throwable

  Places the channel rendering output in the specified content handler.

  Parameters:
    `out` - content handler for the channel rendering information
  Returns:
    status code
  Throws:
    `java.lang.Throwable` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD